System 2.0.0.0 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Property)

Use the attribute to provide information about the schema of the underlying data. Design-time classes such as the class use the attribute to set properties at design-time based on the exposed schema.

You apply the attribute to members of the data item objects that are returned by the Select method of an object marked with the attribute. In the following example, the NorthwindData class is marked with the attribute, and returns an object containing NorthwindEmployee objects from the GetAllEmployees method. Fields in the NorthwindEmployee class are marked with the attribute to indicate they represent data fields in the underlying data source.

For more information about using attributes, see Extending Metadata Using Attributes.

Provides metadata for a property representing a data field. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class and indicates whether the field is the primary key for the data row.

  true to indicate that the field is in the primary key of the data row; otherwise, false.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class and indicates whether the field is the primary key for the data row, and whether the field is a database identity field.

  true to indicate that the field is in the primary key of the data row; otherwise, false.
  true to indicate that the field is an identity field that uniquely identifies the data row; otherwise, false.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class and indicates whether the field is the primary key for the data row, whether the field is a database identity field, and whether the field can be null.

  true to indicate that the field is in the primary key of the data row; otherwise, false.
  true to indicate that the field is an identity field that uniquely identifies the data row; otherwise, false.
  true to indicate that the field can be null in the data store; otherwise, false.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class and indicates whether the field is the primary key for the data row, whether it is a database identity field, and whether it can be null and sets the length of the field.

  true to indicate that the field is in the primary key of the data row; otherwise, false.
  true to indicate that the field is an identity field that uniquely identifies the data row; otherwise, false.
  true to indicate that the field can be null in the data store; otherwise, false.
  The length of the field in bytes.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method determines whether this instance of fits the pattern of another object.

  Returns a value indicating whether this instance is equal to a specified object.

  true if this instance is the same as the instance specified by the parameter; otherwise, false.

  An object to compare with this instance of .
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Set the property to true when the attribute is applied to a property that represents an identity field in the underlying data store. Typically an identity field is generated by the data store and uniquely identifies an entity in the data store.

  Set the property with one of the constructors.

  Gets a value indicating whether a property represents an identity field in the underlying data.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Set the property to true when then attribute is applied to a property that represents a field in the underlying data store that can be set to null. The value that represents null in the data store may be different from null in the programming language.

  Set the property with one of the constructors.

  Gets a value indicating whether a property represents a field that can be null in the underlying data store.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Set the property to the length, in bytes, of the data from the underlying data store. If the property is not set, it will be -1.

  Set the property with one of the constructors.

  Gets the length of the property in bytes.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Set the property to true when the attribute is applied to a property that represents the primary key value of the underlying data. The primary key is typically used by the underlying data store to uniquely identify an entity in the data store, and often is, but is not required to be, a data store identity field.

  Set the property with one of the constructors.

  Gets a value indicating whether a property is in the primary key in the underlying data.